petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatInvertVariableBlockDiagonal

Inverts the block diagonal entries.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInvertVariableBlockDiagonal(Mat mat,PetscInt nblocks,const PetscInt *bsizes,PetscScalar *values)

Collective on Mat

### Input Parameters

| mat | - the matrix
| nblocks | - the number of blocks
| bsizes | - the size of each block

### Output Parameters

values -the block inverses in column major order (FORTRAN-like)

### Note

This routine is not available from Fortran.

### See Also

MatInvertBockDiagonal()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatInvertVariableBlockDiagonal_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatInvertVariableBlockDiagonal_SeqAIJ in src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages